## org.eclipse.emf.databinding.edit
Class EditingDomainEObjectObservableList

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.list.ObservableList
              org.eclipse.emf.databinding.EObjectObservableList
                  org.eclipse.emf.databinding.edit.EditingDomainEObjectObservableList

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, IObservable, IObservableCollection, IObserving, IObservableList

    public class EditingDomainEObjectObservableList

extends EObjectObservableList

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Field Summary
`protected EditingDomain` `domain`

Fields inherited from class org.eclipse.emf.databinding.EObjectObservableList
`eObject, eStructuralFeature, listener`

Fields inherited from class org.eclipse.core.databinding.observable.list.ObservableList
`wrappedList`

Constructor Summary
`EditingDomainEObjectObservableList(EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)`
`EditingDomainEObjectObservableList(Realm realm, EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)`

Method Summary
`void` `add(int index, java.lang.Object object)`
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection collection)`
`boolean` `addAll(int index, java.util.Collection collection)`
`protected void` `addListener(java.lang.Object arg0, IObservablesListener arg1)`
`void` `clear()`
`void` `dispose()`
`protected boolean` `execute(Command command)`
`protected void` `fireEvent(ObservableEvent arg0)`
`Realm` `getRealm()`
`protected boolean` `hasListeners()`
`java.lang.Object` `move(int newPosition, int oldPosition)` Moves the object from the old position to the new position.
`void` `move(int newPosition, java.lang.Object object)` Moves the object to the new position, if is in the list.
`java.lang.Object` `remove(int index)`
`boolean` `remove(java.lang.Object element)`
`boolean` `removeAll(java.util.Collection collection)`
`protected void` `removeListener(java.lang.Object arg0, IObservablesListener arg1)`
`boolean` `retainAll(java.util.Collection collection)`
`java.lang.Object` `set(int index, java.lang.Object element)`

Methods inherited from class org.eclipse.emf.databinding.EObjectObservableList
`firstListenerAdded, getObserved, lastListenerRemoved, toString, wrappedList`

Methods inherited from class org.eclipse.core.databinding.observable.list.ObservableList
`addListChangeListener, contains, containsAll, equals, fireChange, fireListChange, get, getElementType, getterCalled, hashCode, indexOf, isEmpty, isStale, iterator, lastIndexOf, listIterator, listIterator, removeListChangeListener, setStale, size, subList, toArray, toArray, updateWrappedList`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addStaleListener, checkRealm, fireStale, removeChangeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addStaleListener, getRealm, removeChangeListener, removeStaleListener`

Field Detail

### domain

    protected EditingDomain domain

Constructor Detail

### EditingDomainEObjectObservableList

    public EditingDomainEObjectObservableList(EditingDomain domain,
                                              EObject eObject,
                                              EStructuralFeature eStructuralFeature)

### EditingDomainEObjectObservableList

    public EditingDomainEObjectObservableList(Realm realm,
                                              EditingDomain domain,
                                              EObject eObject,
                                              EStructuralFeature eStructuralFeature)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `EObjectObservableList`

### execute

    protected boolean execute(Command command)

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.List`
  Specified by:
    `add` in interface `IObservableList`
  Overrides:
    `add` in class `EObjectObservableList`

### add

    public void add(int index,
                    java.lang.Object object)

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `EObjectObservableList`

### addAll

    public boolean addAll(java.util.Collection collection)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.List`
  Specified by:
    `addAll` in interface `IObservableList`
  Overrides:
    `addAll` in class `EObjectObservableList`

### addAll

    public boolean addAll(int index,
                          java.util.Collection collection)

  Specified by:
    `addAll` in interface `java.util.List`
  Specified by:
    `addAll` in interface `IObservableList`
  Overrides:
    `addAll` in class `EObjectObservableList`

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)

  Specified by:
    `set` in interface `java.util.List`
  Specified by:
    `set` in interface `IObservableList`
  Overrides:
    `set` in class `EObjectObservableList`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`
  Specified by:
    `remove` in interface `IObservableList`
  Overrides:
    `remove` in class `EObjectObservableList`

### remove

    public boolean remove(java.lang.Object element)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.List`
  Specified by:
    `remove` in interface `IObservableList`
  Overrides:
    `remove` in class `EObjectObservableList`

### removeAll

    public boolean removeAll(java.util.Collection collection)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.List`
  Specified by:
    `removeAll` in interface `IObservableList`
  Overrides:
    `removeAll` in class `EObjectObservableList`

### retainAll

    public boolean retainAll(java.util.Collection collection)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.List`
  Specified by:
    `retainAll` in interface `IObservableList`
  Overrides:
    `retainAll` in class `EObjectObservableList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.List`
  Overrides:
    `clear` in class `EObjectObservableList`

### move

    public java.lang.Object move(int newPosition,
                                 int oldPosition)

  Description copied from interface: `EList`
  Moves the object from the old position to the new position.

  Specified by:
    `move` in interface `IObservableList`
  Overrides:
    `move` in class `EObjectObservableList`
  Parameters:
    `newPosition` - the position of the object after the move.
    `oldPosition` - the position of the object before the move.
  Returns:
    the moved object.

### move

    public void move(int newPosition,
                     java.lang.Object object)

  Description copied from interface: `EList`
  Moves the object to the new position, if is in the list.

  Overrides:
    `move` in class `EObjectObservableList`
  Parameters:
    `newPosition` - the position of the object after the move.
    `object` - the object to move.

### addListener

    protected void addListener(java.lang.Object arg0,
                               IObservablesListener arg1)

### removeListener

    protected void removeListener(java.lang.Object arg0,
                                  IObservablesListener arg1)

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent arg0)

### getRealm

    public Realm getRealm()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.